# Contributing

When contributing to this repository, please first discuss the change you wish to make via issue or
via the [discord suggestion channel](https://discord.gg/sse4fnV), before making a change.

Please note we have a code of conduct, please follow it in all your interactions with the project.

# Filing an issue

If your issue is a question about this module, please consider using the [discord server](https://discord.gg/uhe5qxn)
where you will get the fastest answer.

For other issues, please existing templates for [bug reports](https://github.com/skwair/harmony/issues/new?template=bug_report.md)
and [feature requests](https://github.com/skwair/harmony/issues/new?template=feature_request.md).

# Submitting Patches

## Fetching the Sources From GitHub

1. Clone the repo:

```sh
git clone https://github.com/skwair/harmony.git
```

2. Create a new branch for your changes:

```sh
git checkout -b <your-branch-name>
```

3. Commit your changes:

```sh
git commit -a -v
```

4. Fork the project on GitHub.

5. Add your fork as a git remote:

```sh
git remote add fork git://github.com/<your-github-username>/harmony.git
```

6. Push your changes to your fork:

```sh
git push --set-upstream fork <your-branch-name>
```

7. You can now submit a PR based upon the new branch in your forked repository.
